Loading...
Searching...
No Matches
Opm::TableManager Class Reference

## Public Member Functions

| TableManager (const Deck &deck)
const TableContainer & | getTables (const std::string &tableName) const
const TableContainer & | operator[] (const std::string &tableName) const
bool | hasTables (const std::string &tableName) const
const Tabdims & | getTabdims () const
const Eqldims & | getEqldims () const
const Aqudims & | getAqudims () const
const Regdims & | getRegdims () const
const TLMixpar & | getTLMixpar () const
const Ppcwmax & | getPpcwmax () const
size_t | numFIPRegions () const
const TableContainer & | getSwofTables () const
const TableContainer & | getSgwfnTables () const
const TableContainer & | getSof2Tables () const
const TableContainer & | getSof3Tables () const
const TableContainer & | getSgofTables () const
const TableContainer & | getSlgofTables () const
const TableContainer & | getSwfnTables () const
const TableContainer & | getSgfnTables () const
const TableContainer & | getSsfnTables () const
const TableContainer & | getRsvdTables () const
const TableContainer & | getRvvdTables () const
const TableContainer & | getRvwvdTables () const
const TableContainer & | getPbvdTables () const
const TableContainer & | getPdvdTables () const
const TableContainer & | getSaltvdTables () const
const TableContainer & | getSaltpvdTables () const
const TableContainer & | getSaltsolTables () const
const TableContainer & | getPcfactTables () const
const TableContainer & | getPermfactTables () const
const TableContainer & | getBiofilmTables () const
const TableContainer & | getDiffMICPTables () const
const TableContainer & | getEnkrvdTables () const
const TableContainer & | getEnptvdTables () const
const TableContainer & | getImkrvdTables () const
const TableContainer & | getImptvdTables () const
const TableContainer & | getPvdgTables () const
const TableContainer & | getPvdoTables () const
const TableContainer & | getPvdsTables () const
const TableContainer & | getSpecheatTables () const
const TableContainer & | getSpecrockTables () const
const TableContainer & | getWatvisctTables () const
const TableContainer & | getOilvisctTables () const
const TableContainer & | getGasvisctTables () const
const TableContainer & | getRtempvdTables () const
const TableContainer & | getRocktabTables () const
const TableContainer & | getPlyadsTables () const
const TableContainer & | getPlyviscTables () const
const TableContainer & | getPlydhflfTables () const
const TableContainer & | getPlymaxTables () const
const TableContainer & | getPlyrockTables () const
const TableContainer & | getPlyshlogTables () const
const TableContainer & | getAqutabTables () const
const TableContainer & | getFoamadsTables () const
const TableContainer & | getFoammobTables () const
const TableContainer & | getSorwmisTables () const
const TableContainer & | getSgcwmisTables () const
const TableContainer & | getMiscTables () const
const TableContainer & | getPmiscTables () const
const TableContainer & | getMsfnTables () const
const TableContainer & | getTlpmixpaTables () const
const TableContainer & | getWsfTables () const
const TableContainer & | getGsfTables () const
const JFunc & | getJFunc () const
const std::vector< PvtgTable > & | getPvtgTables () const
const std::vector< PvtgwTable > & | getPvtgwTables () const
const std::vector< PvtgwoTable > & | getPvtgwoTables () const
const std::vector< PvtoTable > & | getPvtoTables () const
const std::vector< PvtsolTable > & | getPvtsolTables () const
const std::vector< Rock2dTable > & | getRock2dTables () const
const std::vector< Rock2dtrTable > & | getRock2dtrTables () const
const TableContainer & | getRockwnodTables () const
const TableContainer & | getOverburdTables () const
const DenT & | WatDenT () const
const DenT & | GasDenT () const
const DenT & | OilDenT () const
const JouleThomson & | WatJT () const
const JouleThomson & | GasJT () const
const JouleThomson & | OilJT () const
const StandardCond & | stCond () const
std::size_t | gas_comp_index () const
const PvtwTable & | getPvtwTable () const
const std::vector< PvtwsaltTable > & | getPvtwSaltTables () const
const std::vector< RwgsaltTable > & | getRwgSaltTables () const
const std::vector< BrineDensityTable > & | getBrineDensityTables () const
const std::vector< SolventDensityTable > & | getSolventDensityTables () const
const PvcdoTable & | getPvcdoTable () const
const DensityTable & | getDensityTable () const
const DiffCoeffTable & | getDiffusionCoefficientTable () const
const DiffCoeffWatTable & | getDiffusionCoefficientWaterTable () const
const DiffCoeffGasTable & | getDiffusionCoefficientGasTable () const
const PlyvmhTable & | getPlyvmhTable () const
const RockTable & | getRockTable () const
const ViscrefTable & | getViscrefTable () const
const PlmixparTable & | getPlmixparTable () const
const ShrateTable & | getShrateTable () const
const Stone1exTable & | getStone1exTable () const
const WatdentTable & | getWatdentTable () const
const SgofletTable & | getSgofletTable () const
const SwofletTable & | getSwofletTable () const
const std::map< int, PlymwinjTable > & | getPlymwinjTables () const
const std::map< int, SkprwatTable > & | getSkprwatTables () const
const std::map< int, SkprpolyTable > & | getSkprpolyTables () const
const std::map< std::string, TableContainer > & | getSimpleTables () const
bool | useImptvd () const
| deck has keyword "IMPTVD" — Imbition end-point versus depth tables
bool | useEnptvd () const
| deck has keyword "ENPTVD" — Saturation end-point versus depth tables
bool | useEqlnum () const
| deck has keyword "EQLNUM" — Equilibriation region numbers
bool | useShrate () const
| deck has keyword "SHRATE"
bool | useJFunc () const
| deck has keyword "JFUNC" — Use Leverett's J Function for capillary pressure
double | rtemp () const
double | salinity () const
bool | diffMoleFraction () const
bool | operator== (const TableManager &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static TableManager | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Tables/TableManager.hpp
- opm/input/eclipse/EclipseState/Tables/TableManager.cpp